Bug 466795 - Review Request: boswars-addons - addon maps for Bos Wars
Review Request: boswars-addons - addon maps for Bos Wars
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 13:03 EDT by Alexey Torkhov
Modified: 2008-10-21 03:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 03:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-10-13 13:03:09 EDT
Spec URL: http://atorkhov.fedorapeople.org/boswars-addons.spec
SRPM URL: http://atorkhov.fedorapeople.org/boswars-addons-2.5-1.src.rpm
Description:
A collection of addon maps for Bos Wars real-time strategy game.

$ rpmlint *.rpm
boswars-addons.noarch: W: no-documentation

No documentation available in those addon maps.
Comment 1 Peter Lemenkov 2008-10-15 09:58:54 EDT
I'll review it.
Comment 2 Peter Lemenkov 2008-10-17 05:42:45 EDT
REVIEW:

MUST Items:

+ rpmlint is silent
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license (GPLv2).
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package must matches the upstream source, as provided in the spec URL.

[petro@host-12-116 SOURCES]$ md5sum *tgz*
a1b28e3ae6360c78eec36a019ca9f9e0  EnemyTerritory2.map.tgz
a1b28e3ae6360c78eec36a019ca9f9e0  EnemyTerritory2.map.tgz.from_srpm
291cd52130399d096820c4b7be5c0b79  grass.map.tgz
291cd52130399d096820c4b7be5c0b79  grass.map.tgz.from_srpm
15664bb7e4a5cba8dff4fd0c2312691d  greenlands.map.tgz
15664bb7e4a5cba8dff4fd0c2312691d  greenlands.map.tgz.from_srpm
422adf97b62b52bd53247378b71c238e  obese.map.tgz
422adf97b62b52bd53247378b71c238e  obese.map.tgz.from_srpm
2cc7cecc8d96d0922fa53b5789e32636  plains.map.tgz
2cc7cecc8d96d0922fa53b5789e32636  plains.map.tgz.from_srpm
ca7ae0e033458569086baa89b25233f5  turbo_grounds.map.tgz
ca7ae0e033458569086baa89b25233f5  turbo_grounds.map.tgz.from_srpm
b74176afba2ddb0cce0012b42e2d8e16  wargrounds.map.tgz
b74176afba2ddb0cce0012b42e2d8e16  wargrounds.map.tgz.from_srpm
24a63c1d1682ff918ff0bab5b2112fdb  wetlands03.map.tgz
24a63c1d1682ff918ff0bab5b2112fdb  wetlands03.map.tgz.from_srpm
[petro@host-12-116 SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (x86).
+ No additional build dependencies.
+ No need to deal with locales
+ Does not contain shared libraties
+ The package does not designed to be relocatable
+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT .
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ No large documentation files
+ The package does not include anything as %doc
+ No header files
+ No static libraries
+ The package does not contain pkgconfig(.pc) files
+ The package does not contain library files with a suffix (e.g. libfoo.so.1.1)
+ No devel packages
+ The package does not contain any .la libtool archives
+ Not a GUI application
+ The package does not own files or directories already owned by other packages. + At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT .
+ All filenames in the package are valid UTF-8.

SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.


This package is APPROVED
Comment 3 Alexey Torkhov 2008-10-18 13:28:01 EDT
New Package CVS Request
=======================
Package Name: boswars-addons
Short Description: Addon maps for Bos Wars real-time strategy game
Owners: atorkhov
Branches: F-9
Comment 4 Kevin Fenzi 2008-10-19 18:18:14 EDT
cvs done.
Comment 5 Alexey Torkhov 2008-10-21 03:32:30 EDT
Peter, thanks for review.

Package imported and built.

Note You need to log in before you can comment on or make changes to this bug.